Debian Bug report logs - #700034
ITP: ssh-import-id -- securely retrieve a SSH public key and install it locally

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Bob Bib <bobbibmpn@mail.ru>

Date: Thu, 7 Feb 2013 17:45:01 UTC

Owned by: asb@debian.org

Severity: wishlist

Fixed in version ssh-import-id/3.17-1

Done: Andrew Starr-Bochicchio <asb@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#700034; Package wnpp. (Thu, 07 Feb 2013 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bob Bib <bobbibmpn@mail.ru>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 07 Feb 2013 17:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bob Bib <bobbibmpn@mail.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: ssh-import-id -- securely retrieve a SSH public key and install it locally
Date: Thu, 07 Feb 2013 18:57:57 +0200
Package: wnpp
Severity: wishlist

* Package name    : ssh-import-id
  Version         : 3.6
  Upstream Author : Dustin Kirkland <kirkland@ubuntu.com>
* URL             : https://launchpad.net/ssh-import-id
* License         : GPL
  Programming Lang: Python
  Description     : securely retrieve a SSH public key and install it locally
This utility will securely contact a public keyserver (Launchpad.net by
default), retrieve one or more user's public keys, and append these to the
current user's ~/.ssh/authorized_keys file.



Changed Bug title to 'ITP: ssh-import-id -- securely retrieve a SSH public key and install it locally' from 'RFP: ssh-import-id -- securely retrieve a SSH public key and install it locally' Request was from Andrew Starr-Bochicchio <asb@debian.org> to control@bugs.debian.org. (Sat, 01 Jun 2013 01:03:09 GMT) Full text and rfc822 format available.

Owner recorded as asb@debian.org. Request was from Andrew Starr-Bochicchio <asb@debian.org> to control@bugs.debian.org. (Sat, 01 Jun 2013 01:03:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, asb@debian.org:
Bug#700034; Package wnpp. (Sat, 01 Jun 2013 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Starr-Bochicchio <asb@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, asb@debian.org. (Sat, 01 Jun 2013 18:03:04 GMT) Full text and rfc822 format available.

Message #14 received at 700034@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <asb@debian.org>
To: 700034@bugs.debian.org, dustin.kirkland@gmail.com
Subject: ssh-import-id in Debian
Date: Sat, 1 Jun 2013 13:57:37 -0400
Hi Dustin,

I keep finding myself on a Debian system's reaching for ssh-import-id,
and then remembering that it's not actually available on Debian. I
finally decided to take matters into my own hands. There was already
an open request for package bug for it, so I changed it to an intent
to package bug and assigned myself.

On looking at the upstream bzr repo, I noticed that you're work
flow/release practices seem tied to the Ubuntu packaging. It seems a
little silly to duplicate efforts on the packaging, so I just wanted
to check in with you first. Would you be interested in maintaining it
in Debian yourself? I'd be happy to sponsor uploads for you.

Thanks!

-- Andrew Starr-Bochicchio

   Ubuntu Developer <https://launchpad.net/~andrewsomething>
   Debian Developer <http://qa.debian.org/developer.php?login=asb>
   PGP/GPG Key ID: D53FDCB1



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 25 Jun 2013 20:06:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, asb@debian.org:
Bug#700034; Package wnpp. (Wed, 24 Jul 2013 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dustin Kirkland <dustin.kirkland@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, asb@debian.org. (Wed, 24 Jul 2013 14:48:04 GMT) Full text and rfc822 format available.

Message #21 received at 700034@bugs.debian.org (full text, mbox):

From: Dustin Kirkland <dustin.kirkland@gmail.com>
To: Andrew Starr-Bochicchio <asb@debian.org>
Cc: 700034@bugs.debian.org
Subject: Re: ssh-import-id in Debian
Date: Wed, 24 Jul 2013 09:45:28 -0500
On Sat, Jun 1, 2013 at 12:57 PM, Andrew Starr-Bochicchio <asb@debian.org> wrote:
> Hi Dustin,
>
> I keep finding myself on a Debian system's reaching for ssh-import-id,
> and then remembering that it's not actually available on Debian. I
> finally decided to take matters into my own hands. There was already
> an open request for package bug for it, so I changed it to an intent
> to package bug and assigned myself.
>
> On looking at the upstream bzr repo, I noticed that you're work
> flow/release practices seem tied to the Ubuntu packaging. It seems a
> little silly to duplicate efforts on the packaging, so I just wanted
> to check in with you first. Would you be interested in maintaining it
> in Debian yourself? I'd be happy to sponsor uploads for you.

Hi Andrew!

I'm really sorry, this email got slurped up by a mail filter of mine
and I totally missed it until now.

Wow, I would be absolutely *delighted* to get ssh-import-id into
Debian.  I found the same problem when I first started using my
Raspberry Pi with Debian...  "Where's ssh-import-id!?!"  :-)

Poke me in irc (kirkland) some time, and let's work through an upload
process.  I would love to tie a Debian upload into my release process.

Again, apologies for missing this note!

-- 
:-Dustin



Reply sent to Andrew Starr-Bochicchio <asb@debian.org>:
You have taken responsibility. (Wed, 07 Aug 2013 23:03:32 GMT) Full text and rfc822 format available.

Notification sent to Bob Bib <bobbibmpn@mail.ru>:
Bug acknowledged by developer. (Wed, 07 Aug 2013 23:03:32 GMT) Full text and rfc822 format available.

Message #26 received at 700034-close@bugs.debian.org (full text, mbox):

From: Andrew Starr-Bochicchio <asb@debian.org>
To: 700034-close@bugs.debian.org
Subject: Bug#700034: fixed in ssh-import-id 3.17-1
Date: Wed, 07 Aug 2013 23:00:18 +0000
Source: ssh-import-id
Source-Version: 3.17-1

We believe that the bug you reported is fixed in the latest version of
ssh-import-id, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700034@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Starr-Bochicchio <asb@debian.org> (supplier of updated ssh-import-id package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 25 Jun 2013 13:46:47 -0400
Source: ssh-import-id
Binary: ssh-import-id
Architecture: source all
Version: 3.17-1
Distribution: unstable
Urgency: low
Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
Changed-By: Andrew Starr-Bochicchio <asb@debian.org>
Description: 
 ssh-import-id - securely retrieve an SSH public key and install it locally
Closes: 700034
Changes: 
 ssh-import-id (3.17-1) unstable; urgency=low
 .
   * Initial Debian release (Closes: #700034)
Checksums-Sha1: 
 a217418cb67b2b4f872096a371d9ce7f89f21180 1928 ssh-import-id_3.17-1.dsc
 3430a0d3a6bedac6a44dabb00ecac900dff662e0 142325 ssh-import-id_3.17.orig.tar.gz
 78e5f76c794e29189997a4e75ccf6dc492baca1c 1738 ssh-import-id_3.17-1.diff.gz
 37a1eadac959bfb1f03d7e29ab0b94c2ea8cbd52 13602 ssh-import-id_3.17-1_all.deb
Checksums-Sha256: 
 29fc77bb6b83e1d35a3c70085ef102654ae615af694cdf545056b0defaca86e8 1928 ssh-import-id_3.17-1.dsc
 cda783001c7b753d3368d067ff4bc30c8ce7ed50ff7df22a981ab680d42e03c4 142325 ssh-import-id_3.17.orig.tar.gz
 9566da5ce9bf098f2d0d925e35f84df74c46995c82edc22c828e761e3618e94e 1738 ssh-import-id_3.17-1.diff.gz
 de59f00bac2ace56a7b57cca84c2f0b55e76bf4b43cf5df9d299e897ff2d1330 13602 ssh-import-id_3.17-1_all.deb
Files: 
 995386a0ca9172e2389b18ada086904c 1928 misc extra ssh-import-id_3.17-1.dsc
 cc279bf2f3017865ccc302c6973132e9 142325 misc extra ssh-import-id_3.17.orig.tar.gz
 89a1e6cd21338856c44aa647bb124ca7 1738 misc extra ssh-import-id_3.17-1.diff.gz
 1e5b8f061719ffa7151dd201c0a07f09 13602 misc extra ssh-import-id_3.17-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRydp/AAoJEDtW4rvVP9yx6asQAJhZ/FZz77rZ59Lj0aDPhA7y
1GR2c1lzmvTSBcqS817IPhfz1a0VJkdZ4LJCnCs85SiEo76y5cEY0IWeZbWNYAdm
Ux2kdrohJ6F3fPtA0T85LmCZ8EgDwGxBy1yLpOxXw0JV+F7lWAerGpGO8aBDAK98
EPIwGlLaHQTjYRzO97tG4tG3pXnXUPNMtpLqYhTOM5Mi1/Omb5Hd58kDftsVzCsl
pKhUG7hKvOlDQnVEDOFATMT7BxJAdNxVsALOWqAVJ91gQn2uF0wTPRXRUBMNsbM6
lInvheA4BBwlmUo9zZbUIUfzfkR8TgbdLeq/NuqBpq04SFcyW6vARDRBX837LaVU
zSswXEt/y3gNzEo8EF/zhlUVHxFt0Q5vTJETKAo6QA9akyFfLC+962HS3AWi9ozf
UuBSpjzNJ11V+/6rSW8hkBnh88pNrgr26wyZa6VkGl4/4ytDXDOe2X1D+sLdFJRr
PDGtnVGRwfIV5+TKuRoxV/d8N7hppVGiEQ9LkVlwZi6tpyoEB6VbZtTtDvU7U6mM
Lbo5/tUWbGhPEeSmYtMHCQZ/hGyXfESg8Pl0CQLAonCDuxnKLXWU//smfj9FPRBs
L1AtFydUV2alnIYB6CMWe4RaczSFlP2YF/Rxd9A/3iAV0oFB7xhGraN2cHLJkocV
vVQp8cztDqmGYRvTr36T
=Bvnm
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, asb@debian.org:
Bug#700034; Package wnpp. (Wed, 21 Aug 2013 22:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wajeeha Ahmad <wajeeha@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, asb@debian.org. (Wed, 21 Aug 2013 22:09:07 GMT) Full text and rfc822 format available.

Message #31 received at 700034@bugs.debian.org (full text, mbox):

From: Wajeeha Ahmad <wajeeha@MIT.EDU>
To: Undisclosed recipients:;
Date: Wed, 21 Aug 2013 22:06:22 +0000
Your ID has been picked by the NOKIA Center Office as a lucky Person of a lump sum of 1,000,00.00. To Claim send info To Email: (nokia-claims3@hotmail.com)


Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Sep 2013 07:28:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:58:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.